package fr.velossity.sample.device.extension;

import fr.velossity.sample.device.Device;
import fr.velossity.sample.device.DeviceHandler;

/**
 * 
 * @author C. Saint-Marcel
 * 
 */
public class ServiceRequester implements DeviceHandler {

	/**
	 * @see DeviceHandler#handle(Device)
	 */
	public void handle(Device newDevice) {
		System.out.println("I found a mock device with identifer= " + newDevice.getIdentifier());	
	}

	/**
	 * @see DeviceHandler#free(Device)
	 */
	public void free(Device aDevice) {
		System.out.println("Mock device [" + aDevice.getIdentifier() + "] is unregistering");
	}

}
